package com.kingdee.eas.custom.hireapproval;

import com.kingdee.bos.BOSException;
//import com.kingdee.bos.metadata.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;

import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public interface IOAHireSalaryData extends ICoreBillBase
{
    public OAHireSalaryDataCollection getOAHireSalaryDataCollection() throws BOSException;
    public OAHireSalaryDataCollection getOAHireSalaryDataCollection(EntityViewInfo view) throws BOSException;
    public OAHireSalaryDataCollection getOAHireSalaryDataCollection(String oql) throws BOSException;
    public OAHireSalaryDataInfo getOAHireSalaryDataInfo(IObjectPK pk) throws BOSException, EASBizException;
    public OAHireSalaryDataInfo getOAHireSalaryDataInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException;
    public OAHireSalaryDataInfo getOAHireSalaryDataInfo(String oql) throws BOSException, EASBizException;
    public OAHireSalaryDataInfo getOAHireSalaryDataByIdNumber(String idNumber, String passport) throws BOSException;
    public OAHireSalaryDataInfo getOrCreateOAHireSalaryDataByIdNumber(String idNumber, String passport) throws BOSException;
    public boolean isCanExecute(String billId) throws BOSException;
    public void setExecuting(String billId) throws BOSException;
}